POST api/SubscriptionLog/BuyDealerSubscription
Request Information
URI Parameters
None.
Body Parameters
clsSubscriptionLogDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| SubscriptionLogId | globally unique identifier |
None. |
|
| DealerRegistrationId | globally unique identifier |
None. |
|
| SubscriptionPlanId | globally unique identifier |
None. |
|
| Amount | decimal number |
None. |
|
| SubscriptionDate | date |
None. |
|
| ExpiryDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"subscriptionLogId": "ada5565c-ab52-4dc8-a2c7-9a3689af4293",
"dealerRegistrationId": "bdba1411-f6d0-484d-98c3-ae16b776619f",
"subscriptionPlanId": "dfc2a77d-8746-46d5-ae6d-9e47f50f9422",
"amount": 4.0,
"subscriptionDate": "2026-06-10T16:23:37.3828824+05:30",
"expiryDate": "2026-06-10T16:23:37.3828824+05:30"
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |